# Yeoman Foundation Generator

> [Yeoman](http://yeoman.io) generator for [Zurb Foundation](http://foundation.zurb.com/) with:

Forked from [gulp-mustache](https://github.com/dougmacklin/generator-foundation-gulp-browserify) to add mustache.

* Sass compiling (LibSass / Compass options)
* Browserify dependency bundling
* Gulp automation
* BrowserSync server with live reloading
* Mustache templating engine (option)

## Getting Started

If Yeoman isn't already installed:
```
npm install -g yo
```

Install the generator from [npm](https://www.npmjs.com/package/generator-foundation-gulp-browserify):
```
npm install -g generator-foundation-gulp-mustache
```

Navigate to your target directory and initiate the generator:
```
yo foundation-gulp-mustachej
```

Run `gulp` to start the server and watch for changes:
```
gulp
```

Include the `--prod` flag to export production-ready minified files (note: increases gulp task time, leave off for dev purposes):
```
gulp --prod
```

## Editing

Edit mustache, scss and js files in the `src` directory

Gulp will serve finalized versions to the `build` directory

## License

MIT
